#
# spec file for package rubygem-activerecord-4_2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activerecord-4_2
Version:        4.2.4
Release:        7.7
%define mod_name activerecord
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4_2
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  CVE-2015-7577.patch
Patch1:  CVE-2016-0753.patch
# /MANUAL
Summary:        Object-relational mapper framework (part of Rails)
License:        MIT
Group:          Development/Languages/Ruby

%description
Databases on Rails. Build a persistent domain model by mapping database tables
to Ruby classes. Strong conventions for associations, validations,
aggregations, migrations, and testing come baked-in.

%prep
%gem_unpack
%patch0 -p2
%patch1 -p2
%gem_build

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Wed Jan 27 2016 jloehel@suse.com
- fix bnc#963334 - CVE-2016-0753: rubygem-activemodel,
  rubygem-activesupport, rubygem-activerecord: Input Validation
  Circumvention
  CVE-2016-0753.patch: contains the fix
  fix bnc#963330 - CVE-2015-7577: rubygem-activerecord: Nested
  attributes rejection proc bypass
  CVE-2015-7577.patch: contains the fix
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.2.4
  see installed CHANGELOG.md
  [#]# Rails 4.2.4 (August 24, 2015) ##
  * Skip statement cache on through association reader.
    If the through class has default scopes we should skip the statement
    cache.
    Closes #20745.
  * Rafael Mendonça França*
  * Fixes #19420. When generating schema.rb using Postgres BigInt[] data type
    the limit: 8 was not coming through. This caused it to become Int[] data type
    after doing a rebuild off of schema.rb.
  * Jake Waller*
  * Fix state being carried over from previous transaction.
    Considering the following example where `name` is a required attribute.
    Before we had `new_record?` returning `true` for a persisted record:
    author = Author.create! name: 'foo'
    author.name = nil
    author.save        # => false
    author.new_record? # => true
    Fixes #20824.
  * Roque Pinel*
  * Correctly ignore `mark_for_destruction` when `autosave` isn't set to `true`
    when validating associations.
    Fixes #20882.
  * Sean Griffin*
  * Fix through associations using scopes having the scope merged multiple
    times.
    Fixes #20721.
    Fixes #20727.
  * Sean Griffin*
  * `ActiveRecord::Base.dump_schema_after_migration` applies migration tasks
    other than `db:migrate`. (eg. `db:rollback`, `db:migrate:dup`, ...)
    Fixes #20743.
  * Yves Senn*
  * Correctly raise `ActiveRecord::AssociationTypeMismatch` when assigning
    a wrong type to a namespaced association.
    Fixes #20545.
  * Diego Carrion*
  * Prevent error when using `force_reload: true` on an unassigned polymorphic
    belongs_to association.
    Fixes #20426.
  * James Dabbs*
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.2.3
  see installed CHANGELOG.md
  [#]# Rails 4.2.3 (June 25, 2015) ##
  * Let `WITH` queries (Common Table Expressions) be explainable.
  * Vladimir Kochnev*
  * Fix n+1 query problem when eager loading nil associations (fixes #18312)
  * Sammy Larbi*
  * Fixed an error which would occur in dirty checking when calling
    `update_attributes` from a getter.
    Fixes #20531.
  * Sean Griffin*
  * Ensure symbols passed to `ActiveRecord::Relation#select` are always treated
    as columns.
    Fixes #20360.
  * Sean Griffin*
  * Clear query cache when `ActiveRecord::Base#reload` is called.
  * Shane Hender*
  * Pass `:extend` option for `has_and_belongs_to_many` associations to the
    underlying `has_many :through`.
  * Jaehyun Shin*
  * Make `unscope` aware of "less than" and "greater than" conditions.
  * TAKAHASHI Kazuaki*
  * Revert behavior of `db:schema:load` back to loading the full
    environment. This ensures that initializers are run.
    Fixes #19545.
  * Yves Senn*
  * Fix missing index when using `timestamps` with the `index` option.
    The `index` option used with `timestamps` should be passed to both
    `column` definitions for `created_at` and `updated_at` rather than just
    the first.
  * Paul Mucur*
  * Rename `:class` to `:anonymous_class` in association options.
    Fixes #19659.
  * Andrew White*
  * Fixed a bug where uniqueness validations would error on out of range values,
    even if an validation should have prevented it from hitting the database.
  * Andrey Voronkov*
  * Foreign key related methods in the migration DSL respect
    `ActiveRecord::Base.pluralize_table_names = false`.
    Fixes #19643.
  * Mehmet Emin İNAÇ*
  * Reduce memory usage from loading types on pg.
    Fixes #19578.
  * Sean Griffin*
  * Fix referencing wrong table aliases while joining tables of has many through
    association (only when calling calculation methods).
    Fixes #19276.
  * pinglamb*
  * Don't attempt to update counter caches, when the column wasn't selected.
    Fixes #19437.
  * Sean Griffin*
  * Correctly persist a serialized attribute that has been returned to
    its default value by an in-place modification.
    Fixes #19467.
  * Matthew Draper*
  * Fix default `format` value in `ActiveRecord::Tasks::DatabaseTasks#schema_file`.
  * James Cox*
  * Dont enroll records in the transaction if they dont have commit callbacks.
    That was causing a memory grow problem when creating a lot of records inside a transaction.
    Fixes #15549.
  * Will Bryant*, *Aaron Patterson*
  * Correctly create through records when created on a has many through
    association when using `where`.
    Fixes #19073.
  * Sean Griffin*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.2 (June 16, 2015) ##
  * No Changes *
* Mon Mar 23 2015 coolo@suse.com
- updated to version 4.2.1
  * Fixed ActiveRecord::Relation#becomes! and changed_attributes issues for type column
    Fixes #17139.
  * `remove_reference` with `foreign_key: true` removes the foreign key before
    removing the column. This fixes a bug where it was not possible to remove
    the column on MySQL.
    Fixes #18664.
  * Add a `:foreign_key` option to `references` and associated migration
    methods. The model and migration generators now use this option, rather than
    the `add_foreign_key` form.
  * Fix rounding problem for PostgreSQL timestamp column.
    If timestamp column have the precision, it need to format according to
    the precision of timestamp column.
  * Respect the database default charset for `schema_migrations` table.
    The charset of `version` column in `schema_migrations` table is depend
    on the database default charset and collation rather than the encoding
    of the connection.
  * Respect custom primary keys for associations when calling `Relation#where`
    Fixes #18813.
  * Fixed several edge cases which could result in a counter cache updating
    twice or not updating at all for `has_many` and `has_many :through`.
    Fixes #10865.
  * Foreign keys added by migrations were given random, generated names. This
    meant a different `structure.sql` would be generated every time a developer
    ran migrations on their machine.
    The generated part of foreign key names is now a hash of the table name and
    column name, which is consistent every time you run the migration.
  * Fixed ActiveRecord::Relation#group method when argument is SQL reserved key word:
    SplitTest.group(:key).count
    Property.group(:value).count
* Mon Jan 19 2015 dmueller@suse.com
- update to 4.1.9:
  * `db:schema:load` and `db:structure:load` no longer purge the database
  before loading the schema. This is left for the user to do.
  `db:test:prepare` will still purge the database.
  * Bring back `db:test:prepare` to synchronize the test database schema.
  * Renaming a table in pg also renames the primary key index.
  * Make it possible to access fixtures excluded by a `default_scope`.
  * `timestamps` and `add_timestamps` passes additional options along.
  (like `null: false`)
  * Cache `CollectionAssociation#reader` proxies separately before and after
    the owner has been saved so that the proxy is not cached without the
    owner's id.
  * Fix preloading of associations which unscope a default scope.
  * Do not use `RENAME INDEX` syntax for MariaDB 10.0.
  * Allow included modules to override association methods.
  * Schema loading rake tasks (like `db:schema:load` and `db:setup`) maintain
    the database connection to the current environment.
  * `db:purge` with MySQL respects `Rails.env`.
  * Fixed automatic maintaining test schema to properly handle sql structure
    schema format.
  * Fix has_many :through relation merging failing when dynamic conditions are
    passed as a lambda with an arity of one.
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Sun Oct 12 2014 coolo@suse.com
- updated to version 4.1.6, see CHANGELOG.md
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
